Description

If no minor version is defined in the OS in Foreman, it is interpreted as 0.

This is especially an issue, since Ubuntu >= 20.04.3 uses a different Installation Media path and templates.

If the minor version is "nil" it should take the latest version (or no explicit .0 version).

The issue is here:

https://github.com/theforeman/foreman/blob/6a292004b525e47acd946dd59fdc13af5bb21ba5/app/models/operatingsystems/debian.r

b#L84

Associated revisions

Revision f1092910 - 12/19/2023 12:09 PM - Bastian Schmidt

Fixes #36741 - Check Ubuntu version more explicitly

If no minor version is defined, the function minor.to_i makes it a "0".

Accordingly, Ubuntu 20.04 is interpreted as "no subiquity/Autoinstall" - but,

if no minor version is given, Foreman should implicitly assume "latest"

(which supports Autoinstall in fact).

History

#1 - 09/13/2023 04:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9831 added

#2 - 12/19/2023 12:09 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#3 - 12/19/2023 01:00 PM - Bastian Schmidt

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f1092910315b1a00509548bcd4071f7cf873a2a6.

#4 - 02/05/2024 11:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10005 added
